svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="750ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      relation(query-selector='rect' attribute-type='CSS' attribute-name='width' from='0%' to='100%')
      relation(query-selector='rect' attribute-type='CSS' attribute-name='fill' from='blue' to='orange')
